curl -i -X PUT "https://api.box.com/2.0/skill_invocations/33243242" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"status": "success",
"metadata": {
"cards": [{
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
},{
"type": "skill_card",
"skill_card_type": "transcript",
"skill_card_title": {
"code": "video-transcription",
"message": "Video Transcription"
},
"skill": {
"type": "service",
"id": "video-transcription-service"
},
"invocation": {
"type": "skill_invocation",
"id": "video-transcription-service-123"
},
"duration": 1000,
"entries": [
{
"text": "Hi John, have I told you about Box recently?",
"appears": [{ "start": 0 }]
},
{
"text": "No Aaron, you have not. Tell me more!",
"appears": [{ "start": 5 }]
}
]
},{
"type": "skill_card",
"skill_card_type": "timeline",
"skill_card_title": {
"code": "face-detection",
"message": "Faces"
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"duration": 1000,
"entries": [
{
"text": "John",
"appears": [{ "start": 0, "end": 5 }, { "start": 10, "end": 15 }],
"image_url": "https://example.com/john.png"
},
{
"text": "Aaron",
"appears": [{ "start": 5, "end": 10 }],
"image_url": "https://example.com/aaron.png"
}
]
},{
"type": "skill_card",
"skill_card_type": "status",
"skill_card_title": {
"code": "hold",
"message": "Please hold..."
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"status": {
"code": "processing",
"message": "We are processing this file right now."
}
}]
},
"file": {
"id": "12345"
},
"usage": {
"unit": "file",
"value": 1
}
}'{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Update all Box Skill cards on file
An alternative method that can be used to overwrite and update all Box Skill metadata cards on a file.
curl -i -X PUT "https://api.box.com/2.0/skill_invocations/33243242" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"status": "success",
"metadata": {
"cards": [{
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
},{
"type": "skill_card",
"skill_card_type": "transcript",
"skill_card_title": {
"code": "video-transcription",
"message": "Video Transcription"
},
"skill": {
"type": "service",
"id": "video-transcription-service"
},
"invocation": {
"type": "skill_invocation",
"id": "video-transcription-service-123"
},
"duration": 1000,
"entries": [
{
"text": "Hi John, have I told you about Box recently?",
"appears": [{ "start": 0 }]
},
{
"text": "No Aaron, you have not. Tell me more!",
"appears": [{ "start": 5 }]
}
]
},{
"type": "skill_card",
"skill_card_type": "timeline",
"skill_card_title": {
"code": "face-detection",
"message": "Faces"
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"duration": 1000,
"entries": [
{
"text": "John",
"appears": [{ "start": 0, "end": 5 }, { "start": 10, "end": 15 }],
"image_url": "https://example.com/john.png"
},
{
"text": "Aaron",
"appears": [{ "start": 5, "end": 10 }],
"image_url": "https://example.com/aaron.png"
}
]
},{
"type": "skill_card",
"skill_card_type": "status",
"skill_card_title": {
"code": "hold",
"message": "Please hold..."
},
"skill": {
"type": "service",
"id": "face-detection-service"
},
"invocation": {
"type": "skill_invocation",
"id": "face-detection-service-123"
},
"status": {
"code": "processing",
"message": "We are processing this file right now."
}
}]
},
"file": {
"id": "12345"
},
"usage": {
"unit": "file",
"value": 1
}
}'{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the skill to apply this metadata for.
Body
Defines the status of this invocation. Set this to success when setting Skill cards.
invoked, processing, success, transient_failure, permanent_failure "success"
The metadata to set for this skill. This is a list of Box Skills cards. These cards will overwrite any existing Box skill cards on the file.
Show child attributes
Show child attributes
The file to assign the cards to.
Show child attributes
Show child attributes
The optional file version to assign the cards to.
Show child attributes
Show child attributes
A descriptor that defines what items are affected by this call.
Set this to the default values when setting a card to a success state, and leave it out in most other situations.
Show child attributes
Show child attributes
Response
Returns an empty response when the card has been successfully updated.
Was this page helpful?
